Bug 1832140 - [4.4] image registry operator keeps creating new storage accounts on Azure
Summary: [4.4] image registry operator keeps creating new storage accounts on Azure
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry
Version: 4.3.z
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.4.z
Assignee: Ricardo Maraschini
QA Contact: Wenjing Zheng
URL:
Whiteboard:
Depends On: 1827807
Blocks: 1832144
TreeView+ depends on / blocked
 
Reported: 2020-05-06 07:41 UTC by Ricardo Maraschini
Modified: 2020-06-17 22:26 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Having an azure infrastructure name containing uppercase letters. Consequence: Azure containers and storage accounts are named using infrastructure name, in some circumstances the auto generated name (containing the infrastructure name) would be valid for a storage account but not for a container, making the operator to create the first but fail on the latter and forcing a retry. Fix: Adjusted the container name creation logic to discard invalid characters. Result: Image registry is correctly deployed on an infrastructure that contain invalid characters on its name.
Clone Of: 1827807
: 1832144 (view as bug list)
Environment:
Last Closed: 2020-06-17 22:26:05 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-image-registry-operator pull 540 None closed [release-4.4] Bug 1832140: Assure storage bucket names in lowercase 2020-08-06 12:47:37 UTC
Red Hat Product Errata RHBA-2020:2445 None None None 2020-06-17 22:26:25 UTC

Comment 2 Ricardo Maraschini 2020-05-29 08:03:17 UTC
Fix for this has already been verified on version 4.5, for 4.4 we are still awaiting for cherry-pick approval, moving it to the next sprint.

Comment 5 Wenjing Zheng 2020-06-04 08:55:27 UTC
Verified on 4.4.0-0.nightly-2020-06-03-225439:
# configs.imageregistry.operator.openshift.io "cluster" was not valid:
# * spec.storage.azure.container: Invalid value: "": spec.storage.azure.container in body should match '^[0-9a-z]+(-[0-9a-z]+)*$'

Comment 7 errata-xmlrpc 2020-06-17 22:26:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2445


Note You need to log in before you can comment on or make changes to this bug.